# Fetch Reject
>A simple wrapper for fetch which rejects on HTTP error

Normal `fetch` does not throw on HTTP error (non-200 status code). Using this wrapper, it will.
## Install
```
$ npm install --save fetch-reject;
```
## Usage
```js
import { fetchReject as fetch } from 'fetch-reject';

// this will not throw using regular fetch
fetch('http://httpstat.us/500')
  .then(date => doSomething(data));
  .catch(err => {
    console.log(err) // -> 'GET ... 500 (Internal Server Error)'
  })
```
